Bug 21113 - Should KeyboardEvent.char really be set control characters? E.g., Cancel, Esc, Backspace and Del
Should KeyboardEvent.char really be set control characters? E.g., Cancel, Esc...
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM3 Events
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Travis Leithead [MSFT]
public-webapps-bugzilla
:
Depends on: 22071
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-26 06:37 UTC by Masayuki Nakano
Modified: 2013-08-17 22:21 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masayuki Nakano 2013-02-26 06:37:32 UTC
The key name list defines as following:
http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html#key-values-list

key:                char:
'Cancel'            '\u0018'
'Esc'               '\u001B'
'Backspace'         '\u0008'
'Del'               '\u007F'

If web application developers want to make their own text editor, they don't need these control characters (i.e., they discards them with some code). And I have no idea that these values are useful for web application developers.

So, I'd like to suggest that these keys' char value should be empty string.
Comment 1 Travis Leithead [MSFT] 2013-04-25 19:18:47 UTC
Gary will check what the current implementations do here...
Comment 2 Masayuki Nakano 2013-04-29 23:42:39 UTC
(In reply to comment #1)
> Gary will check what the current implementations do here...

At least IE9 generated them.
https://developer.mozilla.org/en-US/docs/DOM/KeyboardEvent#keyname_table_win
Comment 3 Travis Leithead [MSFT] 2013-06-19 00:45:29 UTC
This bug is conditional on whether we keep char in the depends on bug.
Comment 4 Gary Kacmarcik 2013-08-17 22:21:08 UTC
#22071 has been fixed in the latest ED.